PCP-NUMASTAT(1)

NAME
pcp-numastat - report on NUMA memory allocation

SYNOPSIS
pcp [pcp options] numastat [-Vw?]

DESCRIPTION
pcp-numastat displays NUMA allocation statistics from the kernel memory allocator. Each process has NUMA policies that specify on which node pages are allocated. The performance counters in the kernel track on which nodes memory is allocated and these values are sampled and reported by pcp-numastat.

Counters are maintained individually for each NUMA node. Details of the semantics of each reported metric can be retrieved using the following command:

# pminfo -dt mem.numa.alloc

OPTIONS
When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -Z/ --timezone and several other pcp options become indirectly available; refer to PCPIntro(1) for a complete description of these options.

The additional command line options available for pcp-numastat are:

-V, --version
    Display the current version of the command.

-w width, --width=width
    Limit display to width.

-?, --help
    Display usage message and exit.

NOTES
pcp-numastat is inspired by the numastat(1) command and produces exactly the same output.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1) and numastat(1).